package com.quant.entity;

/**
 * Company entity. @author MyEclipse Persistence Tools
 */

public class Company implements java.io.Serializable {

	// Fields

	private Integer id;
	private String companyName;
	private String companyIntroduction;
	private Integer province;
	private Integer city;
	private Integer country;
	private String contactName;
	private String contactPhoneNumber;
	private String contactAddress;
	private String contactEmail;
	private String contactFox;
	private String website;
	private String lawAdviser;
	private String auditFirm;
	private Integer companyId;
	private String shorterName;
	private Integer isPartner;
	private String businesslicenseUri;  
	// Constructors

	public String getbusinesslisenseUri() {
		return businesslicenseUri;
	}

	public void setbusinesslisenseUri(String businesslicenseUri) {
		this.businesslicenseUri = businesslicenseUri;
	}

	/** default constructor */
	public Company() {
	}

	/** full constructor */
	public Company(String companyName, String companyIntroduction,
			Integer province, Integer city, Integer country,
			String contactName, String contactPhoneNumber,
			String contactAddress, String contactEmail, String contactFox,
			String website, String lawAdviser, String auditFirm,
			Integer companyId, String shorterName, Integer isPartner) {
		this.companyName = companyName;
		this.companyIntroduction = companyIntroduction;
		this.province = province;
		this.city = city;
		this.country = country;
		this.contactName = contactName;
		this.contactPhoneNumber = contactPhoneNumber;
		this.contactAddress = contactAddress;
		this.contactEmail = contactEmail;
		this.contactFox = contactFox;
		this.website = website;
		this.lawAdviser = lawAdviser;
		this.auditFirm = auditFirm;
		this.companyId = companyId;
		this.shorterName = shorterName;
		this.isPartner = isPartner;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getCompanyName() {
		return this.companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getCompanyIntroduction() {
		return this.companyIntroduction;
	}

	public void setCompanyIntroduction(String companyIntroduction) {
		this.companyIntroduction = companyIntroduction;
	}

	public Integer getProvince() {
		return this.province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public Integer getCity() {
		return this.city;
	}

	public void setCity(Integer city) {
		this.city = city;
	}

	public Integer getCountry() {
		return this.country;
	}

	public void setCountry(Integer country) {
		this.country = country;
	}

	public String getContactName() {
		return this.contactName;
	}

	public void setContactName(String contactName) {
		this.contactName = contactName;
	}

	public String getContactPhoneNumber() {
		return this.contactPhoneNumber;
	}

	public void setContactPhoneNumber(String contactPhoneNumber) {
		this.contactPhoneNumber = contactPhoneNumber;
	}

	public String getContactAddress() {
		return this.contactAddress;
	}

	public void setContactAddress(String contactAddress) {
		this.contactAddress = contactAddress;
	}

	public String getContactEmail() {
		return this.contactEmail;
	}

	public void setContactEmail(String contactEmail) {
		this.contactEmail = contactEmail;
	}

	public String getContactFox() {
		return this.contactFox;
	}

	public void setContactFox(String contactFox) {
		this.contactFox = contactFox;
	}

	public String getWebsite() {
		return this.website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public String getLawAdviser() {
		return this.lawAdviser;
	}

	public void setLawAdviser(String lawAdviser) {
		this.lawAdviser = lawAdviser;
	}

	public String getAuditFirm() {
		return this.auditFirm;
	}

	public void setAuditFirm(String auditFirm) {
		this.auditFirm = auditFirm;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getShorterName() {
		return this.shorterName;
	}

	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}

	public Integer getIsPartner() {
		return this.isPartner;
	}

	public void setIsPartner(Integer isPartner) {
		this.isPartner = isPartner;
	}

}